classification
Title: Add asyncio.current_task() and asyncio.all_tasks() funcitons
Type: enhancement Stage: resolved
Components: asyncio, Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, yselivanov
Priority: normal Keywords: patch

Created on 2017-12-07 23:04 by asvetlov, last changed 2017-12-16 19:59 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4766 open asvetlov, 2017-12-09 11:07
PR 4799 merged asvetlov, 2017-12-11 18:42
Messages (3)
msg307826 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-07 23:04
Existing `Task.current_task()` and `Task.all_tasks()` class methods are not overridable by custom event loop implementation.

The proposal is adding new optional loop methods and using them by existing task methods.
msg308056 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-11 16:01
In https://github.com/python/cpython/pull/4766 discussion we decided to use module level functions instead of loop methods.
msg308480 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-16 19:58
New changeset 44d1a5912ea629aa20fdc377a5ab69d9ccf75d61 by Andrew Svetlov in branch 'master':
bpo-32250: Implement asyncio.current_task() and asyncio.all_tasks() (#4799)
https://github.com/python/cpython/commit/44d1a5912ea629aa20fdc377a5ab69d9ccf75d61
History
Date User Action Args
2017-12-16 19:59:57asvetlovsetstatus: open -> closed
type: enhancement
resolution: fixed
components: + Library (Lib)
stage: patch review -> resolved
2017-12-16 19:58:40asvetlovsetmessages: + msg308480
2017-12-11 18:42:43asvetlovsetpull_requests: + pull_request4698
2017-12-11 16:01:57asvetlovsetmessages: + msg308056
title: Add loop.current_task() and loop.all_tasks() methods -> Add asyncio.current_task() and asyncio.all_tasks() funcitons
2017-12-09 11:07:28asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4669
2017-12-07 23:04:02asvetlovcreate